Get Events
get
/events
Gets the list of events based on query parameters
Request
Query Parameters
-
eventType: string
The event types list.
-
limit: integer(int32)
limit
-
offset: integer(int32)
offset
-
serviceType: string
The service type
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/xml
- application/json
200 Response
The list of events is returned successfully.
Nested Schema : event
Type:
Show Source
object-
accountName: object
AccountName
Account name associated with the item's accounts receivable billinfo.
-
accountNumber: string
Account number associated with this event.
-
accountRef(required): object
ResourceRef
-
arAccountName: object
AccountName
Account name associated with the item's accounts receivable billinfo.
-
arAccountNumber: string
Account number associated with the item's accounts receivable billinfo.
-
arAccountRef: object
ResourceRef
-
arBillInfoName: string
Name of the accounts receivable billinfo for the associated item.
-
arBillinfoRef: object
ResourceRef
-
archiveStatus: integer
(int32)
Archiving status for this event instance.
-
balanceImpacts(required): array
balanceImpacts
The detailed breakdown of the balance impact.
-
batchId(required): string
Batch ID this event belongs to.
-
created(required): string
(date-time)
The time when event object was created.
-
currency: integer
(int32)
Currency of the account to which this event applies.
-
earnedEndTime(required): string
(date-time)
The time when event stops earning.
-
earnedStartTime(required): string
(date-time)
The time when event starts earning.
-
earnedType: integer
(int32)
Indicator for earnings type. A value of zero (default) indicates that the event is earned immediately. A value of 1 indicates that the event is earned over a period of time.
-
effectiveT(required): string
(date-time)
Effective time of the event.
-
endTime(required): string
(date-time)
The time when event ends.
-
eventCategory(required): string
This name is used as the identifier for the event tab in the UI.
-
eventDesc(required): string
The event description.
-
eventNumber(required): string
User-definable field for assigning event numbers.
-
extension: object
extension
The extended attributes.
-
flags: integer
(int32)
Reserved for future use.
-
groupRef(required): object
ResourceRef
-
id(required): object
ResourceRef
-
incrQuantity: number
(double)
Incremental value to round RUM Quantity to. RUM Quantity is always rounded to an integral multiple of the Incr Quantity.
-
incrUnit: number
(double)
Units that incrQuantity is specified in.
-
invoiceData(required): string
Cache the fields in /event that need to be handled in invoicing. This is to improve the performance in event search by moving some sub-table fields into this top level field.
-
itemName: string
Name of the associated item.
-
itemNumber: string
Number of the associated item.
-
itemRef: object
ResourceRef
-
linkObj(required): object
ResourceRef
-
loaderBatchRef(required): object
ResourceRef
-
minQuantity: number
(double)
Minimum value that the RUM quantity is rounded to. A value smaller than min_quantity is rounded to min_quantity.
-
minUnit: integer
(int32)
The unit in which min_quantity is expressed. Value can be NONE (0), SECOND (1), MINUTE (2), HOUR (3) or DAY (4).
-
modT(required): string
(date-time)
The time in epoch when this event was last modified.
-
monitorImpacts(required): array
monitorImpacts
Detailed breakdown of monitor impacts.
-
monitorSubBalanceImpacts(required): array
monitorSubBalanceImpacts
Array to hold the sub_balances impacts for a particular monitor balance group and its resource.
-
name(required): string
The name of the event.
-
napIdAddress(required): string
This field contains the IP Address of the client machine.
-
netQuantity: number
(double)
Net quantity calculated after performing the rounding.
-
networkSessionId(required): string
Field used by the system to record the session identifier for the event.
-
originalBatchId(required): string
The mediation batch ID to which this event belongs.
-
profileLabelList(required): string
This field contains a list of ERA labels.
-
providerDescr(required): string
When a part of the charges associated with this event needs to be remitted to another vendor, this field identifies the topic to which it relates.
-
providerIpaddr(required): string
IP address of the service provider.
-
providerRef(required): object
ResourceRef
-
ratedTimezoneId(required): string
TimeZone ID actually used for rating.
-
rerateRef: object
ResourceRef
-
roundingMode: integer
(int32)
Specifies how RUM quantity is rounded.
-
rumMap(required): array
rumMap
This array will hold the information for the rums that have been used to rate the event. It is optional. The RUM_ID in the balance impacts array refers to the element id in this array.
-
rumName(required): string
Specifies which RUM was used to rate this event type. Must be a defined Candidate RUM for this event type.
-
serviceLogin(required): string
Login of the service associated with the event.
-
serviceRef: object
ResourceRef
-
sessionRef: object
ResourceRef
-
startTime(required): string
(date-time)
The time when the event started.
-
subBalanceImpacts(required): array
subBalanceImpacts
Array to hold the sub_balances impacts.
-
sysDescr(required): string
System generated description - describes event programmatically. The actual value depends on the various event subtypes.
-
taxJurisdictions(required): array
taxJurisdictions
Array of tax details. Array element id is not significant. Each array element corresponds to a jurisdiction pair. If multiple rates were applicable in determining the event balance impacts, then it is possible to have many rows for the same jurisdiction.
-
taxLocales(required): string
Tax locales -- order origin;order accept;ship from;ship to. If the location of the company is available, it is appended to the above string. If a telephony event, then NPA/NXX or Geocode information is appended to the above string.
-
taxSupplier: integer
(int32)
The event's tax supplier.
-
timezoneAdjEndTime(required): string
(date-time)
This timestamp is same as created time value.
-
timezoneAdjStartTime(required): string
(date-time)
This timestamp is the same as the created-time value.
-
timezoneId(required): string
The TimeZone ID of the event as a string.
-
timezoneIdOffset: string
Current offset for the event TimeZone ID, formatted as an ISO-8601 offset without a colon.
-
timezoneMode: integer
(int32)
Timezone mode defines which timezone to use when applying TOD rates.
-
todMode: integer
(int32)
TOD mode defines how TOD rates are applied to the event.
-
unit: integer
(int32)
Unit of the quantity applied.
-
unratedQuantity: number
(double)
Quantity which has not been rated.
-
usageType(required): string
The type describes the specific customer-related call scenario. E.g. Customer-to-customer call, birthdate call, closed-user-group calls, friends and family, etc.
-
userRef(required): object
ResourceRef
Nested Schema : AccountName
Type:
objectAccount name associated with the item's accounts receivable billinfo.
Show Source
Nested Schema : ResourceRef
Type:
Show Source
object-
id(required): string
The ID.
-
uri: string
The Uniform Resource Identifier (URI) associated with the resource.
Nested Schema : balanceImpacts
Type:
arrayThe detailed breakdown of the balance impact.
Show Source
-
Array of:
object BalanceImpact
The detailed breakdown of the balance impact.
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : monitorImpacts
Type:
arrayDetailed breakdown of monitor impacts.
Show Source
-
Array of:
object MonitorImpact
Detail breakdown of monitor impacts.
Nested Schema : monitorSubBalanceImpacts
Type:
arrayArray to hold the sub_balances impacts for a particular monitor balance group and its resource.
Show Source
-
Array of:
object SubBalanceImpact
Array to hold the sub_balances impacts.
Nested Schema : rumMap
Type:
arrayThis array will hold the information for the rums that have been used to rate the event. It is optional. The RUM_ID in the balance impacts array refers to the element id in this array.
Show Source
-
Array of:
object RumMap
This array will hold the information for the rums that have been used to rate the event. It is optional. The RUM_ID in the balance impacts array refers to the element id in this array.
Nested Schema : subBalanceImpacts
Type:
arrayArray to hold the sub_balances impacts.
Show Source
-
Array of:
object SubBalanceImpact
Array to hold the sub_balances impacts.
Nested Schema : taxJurisdictions
Type:
arrayArray of tax details. Array element id is not significant. Each array element corresponds to a jurisdiction pair. If multiple rates were applicable in determining the event balance impacts, then it is possible to have many rows for the same jurisdiction.
Show Source
-
Array of:
object TaxJurisdiction
Array of tax details. Array element id is not significant. Each array element corresponds to a jurisdiction pair. If multiple rates were applicable in determining the event balance impacts, then it is possible to have many rows for the same jurisdiction.
Nested Schema : BalanceImpact
Type:
objectThe detailed breakdown of the balance impact.
Show Source
-
accountRef(required): object
ResourceRef
-
amount: number
(double)
The impact to the account balance. The value may be either positive or negative.
-
balanceGroupRef(required): object
ResourceRef
-
deferredAmount: number
(double)
Tax-deferred amount.
-
discount: number
(double)
The discount applied to this balance impact.
-
discountInfo: string
Discount related information from IntegRate.Loaded via IREL.
-
extension: object
extension
The extended attributes.
-
glId: integer
(int32)
GLID associated with this balance impact. Don't care if 0.
-
impactCategory: string
Name of the impact category that was used to generate this balance impact for the rated event.
-
impactType: integer
(int32)
Balance impact type - rated by Infranet rated-engine.
-
itemObj(required): object
ResourceRef
-
lineage: string
Lineages of event fields if zonemap is used in rate plan selection.
-
offeringRef: object
ResourceRef
-
originalAmount: number
(double)
This field reflect the secondary currency amount specified in a pre-rated incoming event.
-
originalResourceId: integer
(int32)
Numeric value of the currency used to specify the amount in the original amount field.
-
outstandingAmount: number
(double)
This field represents the outstanding amount.
-
percent: number
(double)
Proration percentage for cycle events.
-
productObj: object
ResourceRef
-
quantity: number
(double)
Quantity applied - Number of units that were actually applied using this rate.
-
rateObj: object
ResourceRef
-
rateTag: string
Description of the rate used.
-
recid: integer
(int32)
The BRM array element ID of this balance impact.
-
resourceId: integer
(int32)
Numeric value of the resource that is impacted.
-
rumName: string
The rum name.
-
taxCode: string
Tax code for the rate that was used. When taxes do not apply this field will be set to 0.
-
taxExemptionCode: string
The tax exemption code.
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : MonitorImpact
Type:
objectDetail breakdown of monitor impacts.
Show Source
-
accountRef(required): object
ResourceRef
-
amount: number
(double)
The impact to the account balance.
-
balanceGroupRef(required): object
ResourceRef
-
extension: object
extension
The extended attributes.
-
recid: integer
(int32)
The BRM array element ID of this monitor impact.
-
resourceId: integer
(int32)
Numeric value of the resource that is impacted.
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : SubBalanceImpact
Type:
objectArray to hold the sub_balances impacts.
Show Source
-
availableLoanBalance: number
(double)
This field represents the loan balance available for this resource
-
balanceGroupObj(required): object
ResourceRef
-
currentBal: number
(double)
This field represents the total available main balance for this resource.
-
extension: object
extension
The extended attributes.
-
recid: integer
(int32)
The BRM array element ID of this sub-balance impact.
-
resourceId: integer
(int32)
Numeric value of the resource that is impacted.
-
subBalances(required): array
subBalances
Array to hold the sub_balances impacts.
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : subBalances
Type:
arrayArray to hold the sub_balances impacts.
Show Source
-
Array of:
object EventSubBalances
Array to hold the sub_balances impacts.
Nested Schema : EventSubBalances
Type:
objectArray to hold the sub_balances impacts.
Show Source
-
amount: number
The amount of the sub-balance.
-
contributorStr: string
The contributor for this sub-balance counter.
-
elementId: integer
(int32)
The ID of the element.
-
extension: object
extension
The extended attributes.
-
grantedBal: number
The granted balance of the sub-balance.
-
grantorObj: object
ResourceRef
-
recid: integer
(int32)
The BRM array element ID of this sub-balance.
-
rolloverData: integer
(int32)
Indicates whether the leftover balance in this bucket will be rolled over, and if so, how.
-
subType: integer
(int32)
This field represents the type of sub balance.
-
validFrom: string
(date-time)
The date and time the validity period starts.
-
validFromDetails: integer
(int32)
Detail of field validFrom mode.
-
validTo: string
(date-time)
The date and time the validity period ends.
-
validToDetails: integer
(int32)
Detail of field validTo mode.
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : RumMap
Type:
objectThis array will hold the information for the rums that have been used to rate the event. It is optional. The RUM_ID in the balance impacts array refers to the element id in this array.
Show Source
-
extension: object
extension
The extended attributes.
-
netQuantity: number
(double)
Net quantity calculated after performing the rounding.
-
rumName(required): string
Specifies which RUM was used to rate this event. See /config/rum for details on rum.
-
unratedQuantity: number
(double)
Quantity which has not been rated.
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : TaxJurisdiction
Type:
objectArray of tax details. Array element id is not significant. Each array element corresponds to a jurisdiction pair. If multiple rates were applicable in determining the event balance impacts, then it is possible to have many rows for the same jurisdiction.
Show Source
-
amount: number
(double)
This is the actual tax that is levied for this jurisdiction.
-
amountExempt: number
(double)
Amount exempted from taxes.
-
amountGross: number
(double)
Gross amount. Taxable after deducting exemptions.
-
amountTaxed: number
(double)
Amount eligible for taxing. Same as gross less exemption except when applying taxes to amounts that have been taxed already for a different jurisdiction.
-
elementId: integer
(int32)
Balance impact array element-id match.
-
extension: object
extension
The extended attributes.
-
name(required): string
The name of the jurisdiction. Includes jurisdiction names from the top level up to this jurisdiction, with semicolon-separated pieces.
-
percent: number
(double)
Tax percent for the jurisdiction type.
-
recid: integer
(int32)
The BRM array element ID of this tax jurisdiction.
-
type: integer
(int32)
Jurisdiction type.
Nested Schema : extension
Type:
objectThe extended attributes.
204 Response
No search criteria were provided for event search.
400 Response
The request is not valid.
500 Response
An internal server error occurred.
Examples
This example shows how to get event details by submitting a GET request on the REST resource using cURL. For more information about cURL, see "Use cURL".
cURL Command
curl -X GET 'http://hostname:port/bcws/webresources/version/events
where:
- hostname is the URL for the Billing Care REST server.
- port is the port for the Billing Care REST server.
- version is the version of the API you're using, such as v1.0.
Example of Response Body
This example shows the contents of the response body in JSON format.
[
{
"extension": null,
"id": {
"id": "0.0.0.1+-newsfeed+358845410934774345",
"uri": null
},
"created": 1762419890000,
"accountRef": {
"id": "0.0.0.1+-account+384667",
"uri": null
},
"amount": -0.002,
"billInfoRef": {
"id": "0.0.0.1+-billinfo+384411",
"uri": null
},
"eventRef": {
"id": "0.0.0.1+-event-billing-dispute-event+358845410934772297",
"uri": null
},
"externalUser": "weblogic",
"message": "120",
"objectRef": {
"id": "0.0.0.1+-item-dispute+358845410934774857",
"uri": null
},
"reasonDomainId": 60,
"reasonId": 107,
"resourceId": 978,
"typeId": 3,
"typeStr": "D1-181"
},
{
"extension": null,
"id": {
"id": "0.0.0.1+-newsfeed+358845410934775625",
"uri": null
},
"created": 1762419973000,
"accountRef": {
"id": "0.0.0.1+-account+384667",
"uri": null
},
"amount": 0,
"billInfoRef": {
"id": "0.0.0.1+-billinfo+384411",
"uri": null
},
"eventRef": {
"id": "0.0.0.1+-event-billing-settlement-event+358845410934773577",
"uri": null
},
"externalUser": "weblogic",
"message": "123;;126;;999|~|0.002;;999|~|D1-181",
"objectRef": {
"id": "0.0.0.1+-item-settlement+358845410934774601",
"uri": null
},
"reasonDomainId": 60,
"reasonId": 108,
"resourceId": 978,
"typeId": 4,
"typeStr": ""
}
]